#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.6.0.0
visibility:           public
id:                   lsp-1.6.0.0-CQ3HAZvBbXAGRIXPD06zZ6
key:                  lsp-1.6.0.0-CQ3HAZvBbXAGRIXPD06zZ6
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  64f8eba92fa636d92058fc6316e93879
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Logging,
    Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.6.0.1-I8ljJkpbTTK9QL9ejynMif:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.1-I8ljJkpbTTK9QL9ejynMif:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.6.0.1-I8ljJkpbTTK9QL9ejynMif:Language.LSP.Types.Lens,
    Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.6.0.0-CQ3HAZvBbXAGRIXPD06zZ6
depends:
    aeson-2.1.2.1-CpoRxHFZvRPAv3Ckw5zuNY
    async-2.2.5-B58Idx8XDkhJGDCeQAIlbD
    attoparsec-0.14.4-Bgp3zmKYQ1Yrm6i2DIXMp base-4.16.4.0
    bytestring-0.11.4.0 co-log-core-0.3.2.3-IOxyMCU4GAuHKEZUD0u7fb
    containers-0.6.5.1 data-default-0.7.1.1-I9kq9gy0LH5EzYc6jkZCLH
    directory-1.3.6.2 exceptions-0.10.4 filepath-1.4.2.2
    hashable-1.4.4.0-8kbsn96Xs7VCwiHoChRZyp
    lens-5.2.3-Ijuof6WNaie9e7Hnr0xxNE
    lsp-types-1.6.0.1-I8ljJkpbTTK9QL9ejynMif mtl-2.2.2
    prettyprinter-1.7.1-BCUnnk4zMlF8seD1xTtDHo
    random-1.2.1.2-FF5pKRGSqbg1lp1X6GzzRb
    sorted-list-0.2.2.0-DTnpulgg0qp47HYCqvcMYQ stm-2.5.0.2
    temporary-1.3-Bhzgdj7jeKB7nqpEBJgIjA text-1.2.5.0
    text-rope-0.3-2L8UmxX9XDuICqP8QHQtUW transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-556FrLXx6TeI4rsDo1obsC
    uuid-1.3.16-BNjwq8XZvsC5f4UcxTR5FL

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

